
#include "../melee.h"
#include "../ai.h"

//////////////// States of this AI ///////////////
#define AI_CHASE       1
#define AI_ATTACK      2
//////////////////////////////////////////////////
AI_Player_Utwig::AI_Player_Utwig(Ship *ai) :
  AI_Player(ai) {

 select_state = true;
}

void AI_Player_Utwig::calculate() 
{
 AI_Player::calculate(); //Turn off all 'keys'

 if (ai_ship->target==NULL) {
     Stop();
     return;
  }

   switch (state) {
    case AI_CHASE:
                    Chase(ai_ship->target);
                    break;
    case AI_ATTACK:
                    Attack(ai_ship->target);
                    break;

    default: break;
 } 

CheckShots();

if (select_state) change_state();
}
void AI_Player_Utwig::ProcessShot(SpaceLocation *shot, double range)
{

 if (range >= 400.0) return;
 if (!isTarget(shot)) return;
 
 if (range <= 200.0 && ai_ship->batt >= ai_ship->special_drain){
   k.fire_special = true;
   select_state = true; 
  } else 
  {
   Attack(shot);
   select_state = true; 
  }
}

void AI_Player_Utwig::change_state() 
{

double range = ai_ship->distance(ai_ship->target);

 if (range > 400.0 ) 
   state = AI_CHASE;
 else 
   state = AI_ATTACK;
  select_state = false; 
}
